# Step 1: Base image for Next.js builds
FROM node:20-alpine
RUN apk add --no-cache libc6-compat curl

# Enable pnpm
RUN corepack enable pnpm && \
    corepack prepare pnpm@10.2.0 --activate

WORKDIR /app

# Final environment
ENV NODE_ENV=production
ENV NEXT_TELEMETRY_DISABLED=1
